Package mpi

## Class DoubleInt.Data

- java.lang.Object
- - mpi.Struct.Data
  - - mpi.DoubleInt.Data

- Enclosing class:
    DoubleInt

      public final class DoubleInt.Data
      extends Struct.Data

  Class for reading/writing data in a struct stored in a byte buffer.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Data()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getIndex()` | Gets the int value.
    `double` | `getValue()` | Gets the double value.
    `void` | `putIndex​(int v)` | Puts the int value.
    `void` | `putValue​(double v)` | Puts the double value.

    - ### Methods inherited from class mpi.Struct.Data

      `getBuffer, getBuffer, getBuffer, getByte, getByte, getChar, getChar, getData, getData, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getShort, getShort, putByte, putByte, putChar, putChar, putDouble, putDouble, putFloat, putFloat, putInt, putInt, putLong, putLong, putShort, putShort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Data

          public Data()

  - ### Method Detail

    - #### getValue

          public double getValue()

      Gets the double value.
      Returns:
        double value

    - #### getIndex

          public int getIndex()

      Gets the int value.
      Returns:
        int value

    - #### putValue

          public void putValue​(double v)

      Puts the double value.
      Parameters:
        `v` - double value

    - #### putIndex

          public void putIndex​(int v)

      Puts the int value.
      Parameters:
        `v` - int value